require( "scripts/style.lua" );

MakeDialog
{
	FadeWindow
  {
    name = "yesno_quitgame",
    x = 0, y = 0,
		w = ScreenWight, h = ScreenHeight,

	    Bitmap
	    {
		    image="menu/dialog",
		    x=kCenter,
		    y=kCenter,
		   },

    Text
		{
		  font = HeaderFont,
      flags = kVAlignCenter + kHAlignCenter,
      x=kCenter,y=150,w=380,h=100,
			name = "yesnotitle",
			label= "quittitle",
		};
		
		Text
		{
		  font = DialogBodyFont,
      flags = kVAlignCenter + kHAlignCenter,
      x=kCenter,y=270,w=380,h=140,
			name = "yesnobody",
			label= "quitconfirm",
		};
		Bitmap
		  {
			  x=kCenter,
			  y=280+100,
			  image="menu/ico_quit",
		  },

		SetStyle(MenuButtonOk),
		Button
		{
			command=
				function()
					QuitGame(gDialogTable.body);
				end;
			flags = 5,
			name = yesname,
			x = kCenter-120,
			y = 360+100,
			default=true,
		},
		SetStyle(MenuButtonCross),
		Button
		{
			command=
				function() 
					CloseFade("yesno_quitgame","CloseWindow('no')");
				end;
			cancel=true,
			flags = 5,
			name = noname,
			x = kCenter+120,
			y = 360+100,
		},
	};

} -- MakeDialog
